-- Blake's neovim rc file

-- plugins and plugin settings: ~/.config/nvim/lua/blake/plugins.lua
require('blake.plugins')
-- basic settings: ~/.config/nvim/lua/blake/settings.lua
require('blake.settings')

-- TODO:
-- Make plugins more modular
--    - Have a file with toggles for all plugins
--    - If a plugin toggle is off,
--      - the configuration for it should not be run,
--      - and the plugin should not be loaded
--    Downsides:
--    - requires me to add the plugin in two places (one in the plugin list, and again in the toggle list)
--  OR
--    - Find out how to get a list of loaded plugins
--    - Load the configuration for each plugin
--    Downsides:
--    - May not be plugin manager-independent
--  OR
--    - Create a file for each plugin that requires configuration and load them from their own files.
--    - I think this would be the most modular approach, as it would make my config more independent specific plugin managers.
--    Downsides:
--    - Lots of files (could be a good thing)
--  OR
--    - Make a list of plugins ('tpope/surround' style)
--    - load all plugins using whatever plugin manager in a for loop
--    - in the for loop, optionally load the configuration for each plugin based on its name
--    Downsides:
--    - Hardest (requires me to make a for loop, and I don't know lua)
--    - Doesn't take advantage of advanced plugin manager features (ex: dependencies)

-- Plugins to get:
-- https://github.com/glepnir/mcc.nvim
-- https://github.com/glepnir/lspsaga.nvim
-- https://github.com/glepnir/template.nvim
-- https://github.com/glepnir/dashboard-nvim
--
-- Plugins to check out:
-- https://github.com/glepnir/indent-guides.nvim
-- https://github.com/glepnir/coman.nvim
